=== debian/changelog ===
libmediawiki (5.37.0-2) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Point upstream git urls to cgit
  * Update Vcs fields

  [ Pino Toscano ]
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop the unused 'acc' autopkgtest.
  * Drop the migration from libmediawiki-dbg, as it never was in any Debian
    stable release.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update upstream references to https://invent.kde.org/libraries/libmediawiki
  * Use https in the watch file.
  * Fix and simplify copyright.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Aug 2020 09:55:48 +0200

libmediawiki (5.37.0-1) unstable; urgency=medium

  * Initial upload to unstable.  Closes: #873569

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 Nov 2017 21:15:29 -0600

libmediawiki (5.37.0-0neon) xenial; urgency=medium

  * Initial upstream release.

 -- Scarlett Clark <sgclark@kde.org>  Wed, 30 Aug 2017 06:03:06 -0700

libmediawiki (5.35.0-0neon) xenial; urgency=medium

  * Initial release

 -- Scarlett Clark <sgclark@kde.org>  Wed, 05 Jul 2017 08:25:57 -0700
