=== debian/control ===
Source: libmediawiki
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Steve M. Robbins <smr@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.28.0~),
               libkf5coreaddons-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.5.0~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/libmediawiki
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libmediawiki
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libmediawiki.git

Package: libkf5mediawiki-dev
Section: libdevel
Architecture: any
Depends: libkf5mediawiki5 (= ${binary:Version}),
         qtbase5-dev (>= 5.5.0~),
         ${misc:Depends}
Description: libmediawiki is a KDE C++ interface for "MediaWiki"
 libmediawiki is a KDE C++ interface for "MediaWiki":http://www.mediawiki.org
 based web service as "wikipedia.org":http://www.wikipedia.org
 .
 Contains development files for libmediawiki.

Package: libkf5mediawiki5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libmediawiki is a KDE C++ interface for "MediaWiki"
 libmediawiki is a KDE C++ interface for "MediaWiki":http://www.mediawiki.org
 based web service as "wikipedia.org":http://www.wikipedia.org
Multi-Arch: same
