=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/libmediawiki/libmediawiki-([\d.]+)\.tar\.xz
