=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,12 @@
-set(mediawiki_SRCS
+add_library(KF5MediaWiki)
+add_library(KF5::MediaWiki ALIAS KF5MediaWiki)
+set_target_properties(KF5MediaWiki
+    PROPERTIES VERSION ${MEDIAWIKI_VERSION}
+    SOVERSION ${MEDIAWIKI_SOVERSION}
+    EXPORT_NAME "MediaWiki"
+)
+
+target_sources(KF5MediaWiki PRIVATE
     image.cpp
     imageinfo.cpp
     mediawiki.cpp
@@ -21,24 +29,15 @@
     upload.cpp
 )
 
-add_library(KF5MediaWiki ${mediawiki_SRCS})
 generate_export_header(KF5MediaWiki BASE_NAME MediaWiki)
 
-add_library(KF5::MediaWiki ALIAS KF5MediaWiki)
-
-target_include_directories(KF5MediaWiki INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/MediaWiki>")
+target_include_directories(KF5MediaWiki INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MediaWiki>")
 
 target_link_libraries(KF5MediaWiki
-    PRIVATE
+    PUBLIC
         Qt5::Core
         Qt5::Network
         KF5::CoreAddons
-)
-
-set_target_properties(KF5MediaWiki
-    PROPERTIES VERSION ${MEDIAWIKI_VERSION_STRING}
-    SOVERSION ${MEDIAWIKI_SOVERSION}
-    EXPORT_NAME "MediaWiki"
 )
 
 ecm_generate_headers(MediaWiki_CamelCase_HEADERS
@@ -71,13 +70,13 @@
 # Install files
 install(TARGETS KF5MediaWiki
         EXPORT KF5MediaWikiTargets
-        ${INSTALL_TARGETS_DEFAULT_ARGS})
+        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 install(FILES
             ${CMAKE_CURRENT_BINARY_DIR}/mediawiki_export.h
             ${MediaWiki_HEADERS}
             ${MediaWiki_CamelCase_HEADERS}
-        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/MediaWiki
+        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MediaWiki
         COMPONENT Devel)
 
 include(ECMGeneratePriFile)
@@ -85,7 +84,7 @@
 ecm_generate_pri_file(
     BASE_NAME MediaWiki
     LIB_NAME KF5MediaWiki
-    DEPS "core network"
+    DEPS "core network KCoreAddons"
     FILENAME_VAR PRI_FILENAME
 )
