=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -4,11 +4,7 @@
 # Redistribution and use is allowed according to the terms of the BSD license.
 # For details see the accompanying COPYING-CMAKE-SCRIPTS file.
 
-if (POLICY CMP0063)
-    cmake_policy(SET CMP0063 NEW)
-endif (POLICY CMP0063)
-
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Test)
 
 include(ECMMarkAsTest)
 
@@ -17,7 +13,7 @@
         add_executable(${_testname} ${_testname}.cpp libmediawikitest/fakeserver.cpp)
         target_link_libraries(${_testname} Qt5::Core Qt5::Test Qt5::Network KF5::MediaWiki KF5::CoreAddons)
         ecm_mark_as_test(${_testname})
-        add_test(libmediawiki-${_testname} ${_testname})
+        add_test(NAME libmediawiki-${_testname} COMMAND ${_testname})
     endforeach(_testname)
 endmacro()
