=== debian/changelog ===
libmediawiki (5.38.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG signing key.
  * Update the patches:
    - upstream_Fix-compilation-error-with-Qt-5.15.patch: drop, backported
      from upstream
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.85.0
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2022 19:11:06 +0200

libmediawiki (5.37.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Fix Maintainer to the canonical form.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Backport upstream commit 7c79dae079d20b46d05462ed9f5b3cfae78f420a to fix the
    build with newer Qt 5.15.x; patch
    upstream_Fix-compilation-error-with-Qt-5.15.patch. (Closes: #1013543)
  * Reword the descriptions.
  * Add the libkf5coreaddons-dev dependency to libkf5mediawiki-dev, as it uses
    headers from that in public headers.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2022 08:31:25 +0200
