=== debian/control ===
Source: libmediawiki
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.85.0~),
               libkf5coreaddons-dev (>= 5.85.0~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/libmediawiki
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libmediawiki
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libmediawiki.git

Package: libkf5mediawiki-dev
Section: libdevel
Architecture: any
Depends: libkf5mediawiki5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.85.0~),
         qtbase5-dev (>= 5.15.0~),
         ${misc:Depends}
Description: access to the API of MediaWiki sites - development files
 libmediawiki is a C++/Qt library to interface MediaWiki websites:
 https://www.mediawiki.org.
 .
 This package contains the development files for libmediawiki.

Package: libkf5mediawiki5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: access to the API of MediaWiki sites - shared library
 libmediawiki is a C++/Qt library to interface MediaWiki websites:
 https://www.mediawiki.org.
 .
 This package contains the shared library.
Multi-Arch: same
